package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.GoodsBrand;
import com.yiqi.core.domain.GoodsInfo;

/**
 * 商品品牌管理Service接口
 *
 * @author ruoyi
 * @date 2023-08-21
 */
public interface IGoodsBrandService extends IService<GoodsBrand> {
    /**
     * 查询商品品牌管理
     *
     * @param id 商品品牌管理主键
     * @return 商品品牌管理
     */
    public GoodsBrand selectGoodsBrandById(Long id);

    /**
     * 查询商品品牌管理列表
     *
     * @param goodsBrand 商品品牌管理
     * @return 商品品牌管理集合
     */
    public List<GoodsBrand> selectGoodsBrandList(GoodsBrand goodsBrand);

    /**
     * 新增商品品牌管理
     *
     * @param goodsBrand 商品品牌管理
     * @return 结果
     */
    public int insertGoodsBrand(GoodsBrand goodsBrand);

    /**
     * 修改商品品牌管理
     *
     * @param goodsBrand 商品品牌管理
     * @return 结果
     */
    public int updateGoodsBrand(GoodsBrand goodsBrand);

    /**
     * 批量删除商品品牌管理
     *
     * @param ids 需要删除的商品品牌管理主键集合
     * @return 结果
     */
    public int deleteGoodsBrandByIds(Long[] ids);

    /**
     * 删除商品品牌管理信息
     *
     * @param id 商品品牌管理主键
     * @return 结果
     */
    public int deleteGoodsBrandById(Long id);


    /**
     * 修改商品品牌管理状态
     *
     * @param brand 商品品牌
     * @return 结果
     */
    public int updateBrandStatus(GoodsBrand brand);
}
